<log4net>
  <appender name="SystemActivityAppender" type="log4net.Appender.ConsoleAppender">
    <layout type="log4net.Layout.PatternLayout">
      <IgnoresException value="False" />
      <conversionPattern value="%date|[%thread]|%-5level|%property{log4net:HostName}|%logger|%message|%exception{message}%newline" />
    </layout>
    <!--Filter system activity-->
    <filter type="Estat.Sri.Ws.NSIWebServiceCore.SystemFilter,NSIWebServiceCore">
    </filter>
  </appender>
  <appender name="UserActivityAppender" type="log4net.Appender.ConsoleAppender">
    <layout type="log4net.Layout.PatternLayout">
      <IgnoresException value="False" />
      <conversionPattern value="%date|[%thread]|%-5level|%property{log4net:HostName}|%property{Application}|%logger|%property{User}|%message|%exception{message}%newline" />
    </layout>
    <!--Log level WARNNING -->
    <Threshold value="WARN" />
    <!--Filter user activity-->
    <filter type="log4net.Filter.PropertyFilter">
      <key value="User" />
      <StringToMatch value="null" />
      <acceptOnMatch value="false" />
    </filter>
    <!--<filter type="log4net.Filter.LevelMatchFilter">
     <LevelToMatch value="DEBUG" />
     <acceptOnMatch value="false" />
   </filter>-->
  </appender>
  <root>
    <!-- Options are "ALL", "DEBUG", "INFO", "WARN", "ERROR", "FATAL" and "OFF". -->
    <level value="WARN"/>
    <appender-ref ref="SystemActivityAppender"/>
    <appender-ref ref="UserActivityAppender"/>
  </root>
</log4net>
